Bug Hunting Session
Bug 112500 - FILEOPEN: EMF+ Images are shifted inside the frame
Summary: FILEOPEN: EMF+ Images are shifted inside the frame
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: EMFPlus-Rework-Regressions
  Show dependency treegraph
 
Reported: 2017-09-19 20:09 UTC by Xisco Faulí
Modified: 2017-11-27 08:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison before and after (184.12 KB, image/png)
2017-09-19 20:09 UTC, Xisco Faulí
Details
Extracted EMF+ image (91.94 KB, image/wmf)
2017-11-17 16:14 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-09-19 20:09:13 UTC
Created attachment 136379 [details]
Comparison before and after

Steps to reproduce:
1. Open attachment 43525 [details]  from bug 34454
2. Check Figures in page 5, 6 and 7

Observed behaviour: Figures are shifted inside the frame

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: dd5868409ae430f9c9ffea18ea7e287a65cfa2ab
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

This might be related to bug 112499

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-09-19 20:10:32 UTC
Regression introduced by:

author	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-21 20:44:30 (GMT)
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-08-22 10:28:57 (GMT)
commit	ebc11ae0b132eefd3b1b1a837a8d0ad3ba73b460 (patch)
tree	599ae51a0a42b111f245697e7ad86b7f85681798
parent	a3782f1152e4cf02f30003b5f96c7ba603a87db9 (diff)
emfplus: cut over to new EMF+ renderer
We're on par with the old functionality now (modulo a few smaller
issues); overall QoS is much better, we get vector output on pdf
and print, and the need for large offscreen bitmap rendering goes
away.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Thorsten Behrens
Comment 2 Bartosz 2017-11-17 16:14:06 UTC
Created attachment 137832 [details]
Extracted EMF+ image
Comment 3 Commit Notification 2017-11-21 11:51:25 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c1577ae16cd7ae402d1f61d831232c783bb9df6

tdf#112500 Store world transform during graphic save

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-11-26 20:05:22 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group threaded